#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Druwez - A GUI printing tool
# https://www.florian-diesch.de/software/druwez/
#
# Copyright (C) 2019 Florian Diesch devel@florian-diesch.de
#
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import glob
from setuptools import setup, find_packages


setup(
    packages=find_packages(),
    include_package_data=True,
    data_files=[
        ('/usr/share/man/man1',
         glob.glob('data/man/*.1')),
        ('/usr/share/applications',
         glob.glob('data/desktop/*.desktop')),
        ('share/druwez/ui/',
         glob.glob('data/ui/*.ui')),
        ('share/druwez/',
         glob.glob('data/*.json')),
        ('share/icons/hicolor/scalable/apps/',
         glob.glob('data/icons/*.svg')),

    ],
    entry_points={
        'console_scripts': ['druwez=druwez:main'],
    },
    python_requires=">=3.6",
    zip_safe=False,
    license='GPL-3',
    keywords="",
    classifiers=[
    ],
)
